
import encoder from "./encode";
import decoder from "./decode";

var decode = function(data, level, fn){
	return (!level || level <= 0 ? decoder.XML : decoder.HTML)(data, fn);
};

var decodeStrict = function(data, level, fn){
	return (!level || level <= 0 ? decoder.XML : decoder.HTMLStrict)(data, fn);
};

var encode = function(data, level, fn){
	return (!level || level <= 0 ? encoder.XML : encoder.HTML)(data, fn);
};

export default {
	encode: encode,
	decode: decode,
	escape: encoder.escape,
	decodeStrict: decodeStrict,
	encodeXML: encoder.XML,
	encodeHTML: encoder.HTML,
	encodeHTML4: encoder.HTML,
	encodeHTML5: encoder.HTML,
	decodeXML: decoder.XML,
	decodeXMLStrict: decoder.XML,
	decodeHTML: decoder.HTML,
	decodeHTML4: decoder.HTML,
	decodeHTML5: decoder.HTML,
	decodeHTMLStrict: decoder.HTMLStrict,
	decodeHTML4Strict: decoder.HTMLStrict,
	decodeHTML5Strict: decoder.HTMLStrict
};

